Skip to main content
POST
Retry session payment

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

userId
string
required
sessionId
string
required

Body

application/json

request

Request payload to retry or initiate a session payment.

paymentOptionId
string

The id of the payment option

Example:

"STRIPE-2059519182987632"

returnUrl
string

The URL to which your customer will be redirected after they complete or cancel their payment authentication. If you prefer to redirect them to a mobile application, you can alternatively provide an application URI scheme.

Example:

"https://landing.page.after.3ds.authentication"

Response

Response payload describing the payment attempt result.

status
enum<string>
required

Status of the payment attempt.

Available options:
SUCCEEDED,
FAILED,
REQUIRES_3DS_AUTHENTICATION
clientSecret
string

The client secret to be used when user authentication is required for the payment to be accepted. E.g. When the payment status have a value of REQUIRES_3DS_AUTHENTICATION. Ignore otherwise.

Example:

"pi_1DtBRR2eZvKYlo2CmCVxxvd7_secret_cWsUkvyTOjhLKh5Wxu61nYc0i"